Subject: Re: [PATCH] ARM: dts: rockchip: rk3288: fix missing grf reference in tsadc node

From: Heiko Stuebner <[email-masked]>
Date: Tue, 12 Mar 2019 09:42:33 +0100

Am Sonntag, 24. Februar 2019, 22:52:00 CET schrieb Jonas Karlman:
> The following message can be seen during boot:
> 
>   rockchip-thermal ff280000.tsadc: Missing rockchip,grf property
> 
> Fix this by adding rockchip,grf property to tsadc node.
> 
> Fixes: b67d6bc38823 ("ARM: dts: rockchip: add main thermal info to rk3288")
> Signed-off-by: Jonas Karlman <[email-masked]>

applied for 5.2

The warning doesn't affect rk3288 (v2 tsadc) and the grf requirement
only got introduced later on after the rk3288 tsadc node, so I've dropped
the Fixes tag, also reducing the workload of the stable poeple

In general it looks like driver quality of the tsadc deteriorated over time,
as it shouldn't warn about missing GRF references on platforms not
needing it in the first place. And GRF locations should of course also
live in the per-soc data structures as GRF register never are stable
like the constants currently suggest.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel